Bug 5880 - bsnes packaging
: bsnes packaging
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-03 11:18 MSD by Shalok Shalom
Modified: 2015-07-25 12:48 MSD (History)
1 user (show)

See Also:
RPM Package: bsnes
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shalok Shalom 2015-07-03 11:18:07 MSD
When i choose bsnes, it wants to install gtk-accuracy as well, while ROSA use qt as the default toolkit. 

When i install bsnes-qt4-performance and uninstall it, in order to switch on bsnes-qt4-accuracy, uninstall that bsnes itself and the installation of the new, wanted bsnes-qt4-accuracy fails, for the missing dependency.

I guess the other versions are packaged similar.
Comment 1 symbianflo 2015-07-25 12:32:17 MSD
Is not a packaging issue but a urpmi policy, and affects the srpms that provides more then one UI ( as avidemux , for ex)

Anyway, now bsnes is part of higan project and GTK UI is no longer developed
I'll backport higan latest and obsolete GTK UI sorry for the GTK guys.



@A.Bondrov
I know that emulators are yours... don't hate me too much :)
Comment 2 symbianflo 2015-07-25 12:48:03 MSD
Done 0.094 is published, give it some time to reach the mirrors.